# Description: don't change the background colour when "cancel" is pressed
# Author: Serafeim Zanikolas <serzan@hellug.gr>
# Last-Update: 2010-02-28
diff -u indywiki/src/indywiki/indywiki.py indywiki-0.9.9/src/indywiki/indywiki.py
--- indywiki/src/indywiki/indywiki.py	2008-06-29 00:24:28.000000000 +0100
+++ indywiki-0.9.9/src/indywiki/indywiki.py	2008-06-29 00:24:00.000000000 +0100
@@ -1202,8 +1202,11 @@
     def setNNimageBgColor(self):
         """Allows the user to customise the background colour of non-native
         images."""
-        self.config.nn_img_rgb = QtGui.QColorDialog.getColor(
-                self.getNNimageBgColor(), self.centralwidget).getRgb()
+        new_setting = QtGui.QColorDialog.getColor(
+                self.getNNimageBgColor(), self.centralwidget)
+        if not new_setting.isValid():
+            return
+        self.config.nn_img_rgb = new_setting.getRgb()
         for button in self.pushButtonList.values():
              if not button.isNative:
                 self.updateButtonColor(button)
